Bug 15993 - Making currency actions buttons
Summary: Making currency actions buttons
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-06 22:40 UTC by Aleisha Amohia
Modified: 2017-06-14 22:10 UTC (History)
4 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15993: Moving currency actions into a drop-down menu (2.30 KB, patch)
2016-03-06 22:42 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 15993: Moving currency actions into a drop-down menu (2.36 KB, patch)
2016-03-08 20:53 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 15993: Moving currency actions into a drop-down menu (2.43 KB, patch)
2016-03-09 12:11 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15993: Making currency actions buttons (1.63 KB, patch)
2016-03-10 01:54 UTC, Aleisha Amohia
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 15993: Making currency actions buttons (1.72 KB, patch)
2016-03-11 16:15 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 15993 [Follow-up] Making currency actions buttons (1.79 KB, patch)
2016-03-11 16:16 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 15993: Making currency actions buttons (1.74 KB, patch)
2016-03-13 21:23 UTC, Aleisha Amohia
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 15993 [Follow-up] Making currency actions buttons (1.88 KB, patch)
2016-03-13 21:23 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 15993: Making currency actions buttons (1.74 KB, patch)
2016-03-14 16:35 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15993 [Follow-up] Making currency actions buttons (1.88 KB, patch)
2016-03-14 16:35 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2016-03-06 22:40:43 UTC
Similar to Bug 15932, Bug 13778, Bug 15830, Bug 15952, Bug 15966, Bug 15988, Bug 15989, Bug 15990, Bug 15991, Bug 15992
Comment 1 Aleisha Amohia 2016-03-06 22:42:39 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2016-03-08 20:53:30 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-03-09 12:11:34 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2016-03-09 12:12:12 UTC
Note that the deletion does not work, I have fixed that yesterday on bug 15962.
The 2 patches do not conflict.
Comment 5 Jonathan Druart 2016-03-09 12:29:55 UTC
Aleisha, putting this in discussion, it seems that we should use the drop-down menu only when we have more than 2 buttons.
Comment 6 Aleisha Amohia 2016-03-10 01:54:24 UTC Comment hidden (obsolete)
Comment 7 Owen Leonard 2016-03-11 16:15:57 UTC Comment hidden (obsolete)
Comment 8 Owen Leonard 2016-03-11 16:16:04 UTC Comment hidden (obsolete)
Comment 9 Aleisha Amohia 2016-03-13 21:23:13 UTC Comment hidden (obsolete)
Comment 10 Aleisha Amohia 2016-03-13 21:23:20 UTC Comment hidden (obsolete)
Comment 11 Jonathan Druart 2016-03-14 16:35:00 UTC
Created attachment 49119 [details] [review]
Bug 15993: Making currency actions buttons

To test:

1) Go to Administration -> Currencies and exchange rates
2) Confirm that the actions 'Edit' and 'Delete' are now buttons and behave as expected.

Sponsored-by: Catalyst IT
Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 12 Jonathan Druart 2016-03-14 16:35:11 UTC
Created attachment 49120 [details] [review]
Bug 15993 [Follow-up] Making currency actions buttons

This trivial follow-up adds an "actions" class to the table cell
containing the new buttons. In conjunction with the style update in Bug
16048, this will prevent the buttons from wrapping at narrow browser
window widths.

To test, apply the patch for Bug 16048 and go to Administration ->
Currencies and exchange rates.

In the table of currencies, confirm that the "Edit" and "Delete" buttons
are not stacked one on top of the other even at narrow browser window
widths.

Signed-off-by: Aleisha <aleishaamohia@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 13 Brendan Gallagher 2016-03-18 07:09:54 UTC
Pushed to Master - Should be in the May 2016 Release.  Thanks!